package events

type DiscoveryStartEvent struct {
	Message string
	Zone    int64
}

func (i DiscoveryStartEvent) GetUrl() string {
	return DISCOVERY_START
}

func NewDiscoveryStartEvent(message string, zone int64) *DiscoveryStartEvent {
	return &DiscoveryStartEvent{Message: message, Zone: zone}
}

type DiscoveryEndEvent struct {
	Message string
}

func (i DiscoveryEndEvent) GetUrl() string {
	return DISCOVERY_END
}

func NewDiscoveryEndEvent(message string) *DiscoveryEndEvent {
	return &DiscoveryEndEvent{Message: message}
}
